# Manual del usuario de KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 de junio de 2005
Entorno de escritorio K
kate
1

# `kate`

Editor de texto avanzado para &kde;

    kate -s, --start  nombre  -u, --use -p, --pid pid -e, --encoding  nombre -l, --line  línea -c, --column  columna -i, --stdin Opciones genéricas de KDE Opciones genéricas de Qt

## Descripción

&kate; es el editor de texto avanzado de &kde;.

&kate; también proporciona la parte de edición para varias aplicaciones bajo el nombre &kwrite;.

Algunas de las muchas características de &kate; son: resaltado de sintaxis configurable para lenguajes que abarcan desde C y C++ hasta HTML y guiones bash, la posibilidad de crear y mantener proyectos, una interfaz de múltiples documentos (MDI), y un emulador de terminal integrado.

Pero &kate; es más que un editor para programadores. Su capacidad para abrir varios archivos a la vez lo hace ideal para editar los numerosos archivos de configuración de un entorno &UNIX;. Este documento ha sido escrito en &kate;.

## Opciones

`-s`, `--start` nombre

  Inicia &kate; con una sesión determinada.

`-u, --use`

  Usa un &kate; ya iniciado.

`-p, --pid` pid

  Trata de reutilizar una instancia de kate con este pid

`-e, --encoding` nombre

  Establece la codificación para el archivo a abrir

  Puede utilizar esto para forzar la apertura de un archivo en formato UTF-8, por ejemplo. (La orden `iconv -l` proporciona una lista de codificaciones que le puede resultar útil).

`-l, --line` línea

  Se desplaza hasta esta línea

`-c, --column` columna

  Se desplaza hasta esta columna

`-i, --stdin`

  Lee el contenido de `stdin`

## Ver también

Se dispone de documentación de usuario más detallada en help:/kate (puede introducir esta URL en &konqueror;, o ejecutar ``khelpcenter` `help:/kate``).

También existe más información disponible en el sitio web de &kate;.

## Ejemplos

Para abrir un archivo con el nombre `source.cpp` en la columna 15, línea 25, en una ventana existente de &kate;, puede usar:

    kate -c 15 -l
    25 -u source.cpp

Si dispone de una conexión permanente a Internet, puede aprovechar la característica de transparencia de red de &kde; para abrir un archivo de un sitio FTP. Si no tiene permiso de escritura en el servidor remoto, podrá abrir el archivo en modo de lectura, y se le preguntará por una ubicación local para guardarlo en caso de que lo modifique. Si tiene permiso de escritura en el servidor, los cambios se guardarán transparentemente sobre la red.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autores

El encargado de &kate; es &Christoph.Cullmann; &Christoph.Cullmann.mail;. Una extensa lista de autores y demás personas implicadas está disponible en el manual de usuario completo, antes mencionado.